--- old/usr/src/uts/common/inet/tcp/tcp_stats.c	2012-08-08 12:51:11.643956959 +0000
+++ new/usr/src/uts/common/inet/tcp/tcp_stats.c	2012-08-08 12:51:11.659548462 +0000
@@ -36,8 +36,9 @@
 #include <inet/kstatcom.h>
 #include <inet/snmpcom.h>
 
-static int	tcp_kstat_update(kstat_t *kp, int rw);
-static int	tcp_kstat2_update(kstat_t *kp, int rw);
+static int	tcp_snmp_state(tcp_t *);
+static int	tcp_kstat_update(kstat_t *, int);
+static int	tcp_kstat2_update(kstat_t *, int);
 static void	tcp_sum_mib(tcp_stack_t *, mib2_tcp_t *);
 
 static void	tcp_add_mib(mib2_tcp_t *, mib2_tcp_t *);
@@ -801,7 +802,7 @@
  * To add stats from one mib2_tcp_t to another.  Static fields are not added.
  * The caller should set them up propertly.
  */
-void
+static void
 tcp_add_mib(mib2_tcp_t *from, mib2_tcp_t *to)
 {
 	to->tcpActiveOpens += from->tcpActiveOpens;
